Bug 292634 - digiKam crash just after moving a people tag square
Summary: digiKam crash just after moving a people tag square
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 2.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-27 21:53 UTC by Mathieu MD
Modified: 2017-07-26 16:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu MD 2012-01-27 21:53:01 UTC
Application: digikam (2.5.0)
KDE Platform Version: 4.8.00 (4.8.0
Qt Version: 4.8.0
Operating System: Linux 3.2.0-11-generic-pae i686
Distribution: Ubuntu precise (development branch)

-- Information about the crash:
- What I was doing when the application crashed:

Launch digiKam 2.5.0
Go to the People tab (the most bottom of the left column);
Choose a person tag;
Open a face-photo;
Click to display the square on the faces of identified people;
Click on the name of one of these squares to enter edit mode;
Move and resize the square;
Clicke on "OK" button;
digiKam saved the edit, and while it seems to start displaying the next photo it suddenly crash.

It does happen only on some photos, not all. (unfortunately, given the privacy of these, I cannot publish them)

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xaeedb8c0 (LWP 2981))]

Thread 27 (Thread 0xaca2db70 (LWP 2982)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb35c384b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb480623c in __pthread_cond_wait (cond=0x8f845d0, mutex=0x8f845b8) at forward.c:139
#3  0xb4ab8300 in wait (time=4294967295, this=0x8f845b8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x8f84524, mutex=0x8f84520, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x082025e5 in ?? ()
#6  0xb4ab7d90 in QThreadPrivate::start (arg=0x8f7f1b0) at thread/qthread_unix.cpp:298
#7  0xb35bfc87 in start_thread (arg=0xaca2db70) at pthread_create.c:304
#8  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 26 (Thread 0xac22cb70 (LWP 2983)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb47ea2ce in __GI___poll (fds=0x8fa0690, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0xb32254ab in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb3217a7e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb3217bd1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4bfef17 in QEventDispatcherGlib::processEvents (this=0x8f9ea28, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4bcab3d in QEventLoop::processEvents (this=0xac22c0f0, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4bcadd9 in QEventLoop::exec (this=0xac22c0f0, flags=...) at kernel/qeventloop.cpp:204
#8  0xb4ab48fc in QThread::exec (this=0x8f86ef0) at thread/qthread.cpp:501
#9  0xb4ba81dd in QInotifyFileSystemWatcherEngine::run (this=0x8f86ef0) at io/qfilesystemwatcher_inotify.cpp:248
#10 0xb4ab7d90 in QThreadPrivate::start (arg=0x8f86ef0) at thread/qthread_unix.cpp:298
#11 0xb35bfc87 in start_thread (arg=0xac22cb70) at pthread_create.c:304
#12 0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 25 (Thread 0xab8ffb70 (LWP 2985)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb35c384b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb480623c in __pthread_cond_wait (cond=0x8ec25c0, mutex=0x8ec25a8) at forward.c:139
#3  0xb4ab8300 in wait (time=4294967295, this=0x8ec25a8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x8ec23e8, mutex=0x8ec23e4, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb6a60744 in ?? () from /usr/lib/libdigikamcore.so.2
#6  0xb4ab7d90 in QThreadPrivate::start (arg=0x8ec23d8) at thread/qthread_unix.cpp:298
#7  0xb35bfc87 in start_thread (arg=0xab8ffb70) at pthread_create.c:304
#8  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 24 (Thread 0xaac02b70 (LWP 2986)):
#0  0xb35c1b8f in __pthread_mutex_lock (mutex=0xab90f4d0) at pthread_mutex_lock.c:47
#1  0xb4806454 in pthread_mutex_lock (mutex=0xab90f4d0) at forward.c:182
#2  0xb3256ae0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb3217a5c in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb3217bd1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4bfef17 in QEventDispatcherGlib::processEvents (this=0x92bf148, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4bcab3d in QEventLoop::processEvents (this=0xaac020f0, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4bcadd9 in QEventLoop::exec (this=0xaac020f0, flags=...) at kernel/qeventloop.cpp:204
#8  0xb4ab48fc in QThread::exec (this=0x92bedc8) at thread/qthread.cpp:501
#9  0xb4ba81dd in QInotifyFileSystemWatcherEngine::run (this=0x92bedc8) at io/qfilesystemwatcher_inotify.cpp:248
#10 0xb4ab7d90 in QThreadPrivate::start (arg=0x92bedc8) at thread/qthread_unix.cpp:298
#11 0xb35bfc87 in start_thread (arg=0xaac02b70) at pthread_create.c:304
#12 0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 23 (Thread 0xa0bc6b70 (LWP 2995)):
#0  0xb3217bd4 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb4bfef17 in QEventDispatcherGlib::processEvents (this=0x9db9198, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#2  0xb4bcab3d in QEventLoop::processEvents (this=0xa0bc60e8, flags=...) at kernel/qeventloop.cpp:149
#3  0xb4bcadd9 in QEventLoop::exec (this=0xa0bc60e8, flags=...) at kernel/qeventloop.cpp:204
#4  0xb6a5fd8e in ?? () from /usr/lib/libdigikamcore.so.2
#5  0xb4aaa34b in QThreadPoolThread::run (this=0xa75bf58) at concurrent/qthreadpool.cpp:107
#6  0xb4ab7d90 in QThreadPrivate::start (arg=0xa75bf58) at thread/qthread_unix.cpp:298
#7  0xb35bfc87 in start_thread (arg=0xa0bc6b70) at pthread_create.c:304
#8  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 22 (Thread 0xa35ffb70 (LWP 3010)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0xa35ffb70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 21 (Thread 0xa2dfeb70 (LWP 3011)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0xa2dfeb70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 20 (Thread 0xa25fdb70 (LWP 3012)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0xa25fdb70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 19 (Thread 0xa17ffb70 (LWP 3014)):
#0  0xb307cd00 in __GI_clock_gettime (clock_id=1, tp=0xa17fee68) at ../sysdeps/unix/clock_gettime.c:116
#1  0xb4b15d55 in do_gettime (frac=0xa17fee60, sec=0xa17fee58) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb4bff856 in QTimerInfoList::updateCurrentTime (this=0xa1803934) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb4bffbaa in QTimerInfoList::timerWait (this=0xa1803934, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb4bfe453 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa17fef6c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb4bfe4ed in timerSourcePrepare (source=0xa1803900, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb3217172 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb321797f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb3217bd1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb4bfef17 in QEventDispatcherGlib::processEvents (this=0xb328cc8, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0xb4bcab3d in QEventLoop::processEvents (this=0xa17ff0f0, flags=...) at kernel/qeventloop.cpp:149
#12 0xb4bcadd9 in QEventLoop::exec (this=0xa17ff0f0, flags=...) at kernel/qeventloop.cpp:204
#13 0xb4ab48fc in QThread::exec (this=0xa0b98a0) at thread/qthread.cpp:501
#14 0xb4ba81dd in QInotifyFileSystemWatcherEngine::run (this=0xa0b98a0) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb4ab7d90 in QThreadPrivate::start (arg=0xa0b98a0) at thread/qthread_unix.cpp:298
#16 0xb35bfc87 in start_thread (arg=0xa17ffb70) at pthread_create.c:304
#17 0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 18 (Thread 0xa02e0b70 (LWP 3021)):
#0  0xb307cd00 in __GI_clock_gettime (clock_id=1, tp=0xa02dfe58) at ../sysdeps/unix/clock_gettime.c:116
#1  0xb4b15d55 in do_gettime (frac=0xa02dfe50, sec=0xa02dfe48) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb4bff856 in QTimerInfoList::updateCurrentTime (this=0xa1841c34) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb4bffbaa in QTimerInfoList::timerWait (this=0xa1841c34, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb4bfe453 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa02dff5c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb4bfe4ed in timerSourcePrepare (source=0xa1841c00, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb3217172 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb321797f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb3217bd1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb4bfef17 in QEventDispatcherGlib::processEvents (this=0xb09cc50, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0xb4bcab3d in QEventLoop::processEvents (this=0xa02e00e8, flags=...) at kernel/qeventloop.cpp:149
#12 0xb4bcadd9 in QEventLoop::exec (this=0xa02e00e8, flags=...) at kernel/qeventloop.cpp:204
#13 0xb6a5fd8e in ?? () from /usr/lib/libdigikamcore.so.2
#14 0xb4aaa34b in QThreadPoolThread::run (this=0xb0ee638) at concurrent/qthreadpool.cpp:107
#15 0xb4ab7d90 in QThreadPrivate::start (arg=0xb0ee638) at thread/qthread_unix.cpp:298
#16 0xb35bfc87 in start_thread (arg=0xa02e0b70) at pthread_create.c:304
#17 0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 17 (Thread 0x9aaffb70 (LWP 3028)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0x9aaffb70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 16 (Thread 0x9a2feb70 (LWP 3029)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0x9a2feb70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 15 (Thread 0x99afdb70 (LWP 3030)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0x99afdb70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 14 (Thread 0x988ffb70 (LWP 3032)):
#0  0xb307cd00 in __GI_clock_gettime (clock_id=1, tp=0x988fee58) at ../sysdeps/unix/clock_gettime.c:116
#1  0xb4b15d55 in do_gettime (frac=0x988fee50, sec=0x988fee48) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb4bff856 in QTimerInfoList::updateCurrentTime (this=0xbac69c4) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb4bffbaa in QTimerInfoList::timerWait (this=0xbac69c4, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb4bfe453 in timerSourcePrepareHelper (src=<optimized out>, timeout=0x988fef5c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb4bfe4ed in timerSourcePrepare (source=0xbac6990, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb3217172 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb321797f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb3217bd1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb4bfef17 in QEventDispatcherGlib::processEvents (this=0xbf3b538, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0xb4bcab3d in QEventLoop::processEvents (this=0x988ff0e8, flags=...) at kernel/qeventloop.cpp:149
#12 0xb4bcadd9 in QEventLoop::exec (this=0x988ff0e8, flags=...) at kernel/qeventloop.cpp:204
#13 0xb6a5fd8e in ?? () from /usr/lib/libdigikamcore.so.2
#14 0xb4aaa34b in QThreadPoolThread::run (this=0xb9b5a98) at concurrent/qthreadpool.cpp:107
#15 0xb4ab7d90 in QThreadPrivate::start (arg=0xb9b5a98) at thread/qthread_unix.cpp:298
#16 0xb35bfc87 in start_thread (arg=0x988ffb70) at pthread_create.c:304
#17 0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 13 (Thread 0x96aa4b70 (LWP 3049)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0x96aa4b70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 12 (Thread 0x962a3b70 (LWP 3050)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0x962a3b70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 11 (Thread 0x95aa2b70 (LWP 3051)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0x95aa2b70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 10 (Thread 0x952a1b70 (LWP 3052)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb47f4947 in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:30
#2  0xb4ab65e8 in _q_futex (val2=0, addr2=0x0, timeout=0x0, val=2, op=0, addr=0x8fa81f0) at thread/qmutex_unix.cpp:99
#3  QMutexPrivate::wait (this=0x8fa81f0, timeout=-1) at thread/qmutex_unix.cpp:113
#4  0xb4ab1fe8 in QMutex::lock (this=0x8fa83ac) at thread/qmutex.cpp:164
#5  0xb69fa019 in Digikam::ThumbnailDatabaseAccess::ThumbnailDatabaseAccess() () from /usr/lib/libdigikamcore.so.2
#6  0xb6a34def in Digikam::ThumbnailCreator::storeInDatabase(Digikam::ThumbnailInfo const&, Digikam::ThumbnailImage const&) const () from /usr/lib/libdigikamcore.so.2
#7  0xb6a3ae11 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () from /usr/lib/libdigikamcore.so.2
#8  0xb6a3bec2 in Digikam::ThumbnailCreator::pregenerate(QString const&) const () from /usr/lib/libdigikamcore.so.2
#9  0xb6a4ac8d in ?? () from /usr/lib/libdigikamcore.so.2
#10 0xb6a18b38 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.2
#11 0xb6a620de in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#12 0xb4aaa34b in QThreadPoolThread::run (this=0xbbf34c8) at concurrent/qthreadpool.cpp:107
#13 0xb4ab7d90 in QThreadPrivate::start (arg=0xbbf34c8) at thread/qthread_unix.cpp:298
#14 0xb35bfc87 in start_thread (arg=0x952a1b70) at pthread_create.c:304
#15 0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 9 (Thread 0x94aa0b70 (LWP 3054)):
#0  __pthread_mutex_lock (mutex=0x9b53b958) at pthread_mutex_lock.c:56
#1  0xb4806454 in pthread_mutex_lock (mutex=0x9b53b958) at forward.c:182
#2  0xb3256ae0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb3217955 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb3217bd1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4bfef17 in QEventDispatcherGlib::processEvents (this=0x9c4c7058, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4bcab3d in QEventLoop::processEvents (this=0x94aa00e8, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4bcadd9 in QEventLoop::exec (this=0x94aa00e8, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6a5fd8e in ?? () from /usr/lib/libdigikamcore.so.2
#9  0xb4aaa34b in QThreadPoolThread::run (this=0x9b538990) at concurrent/qthreadpool.cpp:107
#10 0xb4ab7d90 in QThreadPrivate::start (arg=0x9b538990) at thread/qthread_unix.cpp:298
#11 0xb35bfc87 in start_thread (arg=0x94aa0b70) at pthread_create.c:304
#12 0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 8 (Thread 0x92a9cb70 (LWP 3058)):
#0  __strcmp_ia32 () at ../sysdeps/i386/i686/multiarch/../strcmp.S:40
#1  0xb474f13b in _nl_make_l10nflist (l10nfile_list=0xb489fc40, dirlist=0xa2a2e90 "/usr/share/locale/", dirlist_len=19, mask=0, language=0x92a9b060 "fr", territory=0x0, codeset=0x0, normalized_codeset=0x0, modifier=0x0, filename=0x92a9b080 "LC_MESSAGES/kipiplugin_gpssync.mo", do_allocate=0) at l10nflist.c:248
#2  0xb474cdcc in _nl_find_domain (dirname=0xa2a2e90 "/usr/share/locale/", locale=0x92a9b060 "fr", domainname=0x92a9b080 "LC_MESSAGES/kipiplugin_gpssync.mo", domainbinding=0xa29f270) at finddomain.c:88
#3  0xb474c74a in __dcigettext (domainname=0xa78f1c8 "kipiplugin_gpssync", msgid1=0x92a9b17c "QSQLiteResult\004Unable to fetch row", msgid2=0x0, plural=0, n=0, category=5) at dcigettext.c:642
#4  0xb474b603 in __GI___dcgettext (domainname=0xa78f1c8 "kipiplugin_gpssync", msgid=0x92a9b17c "QSQLiteResult\004Unable to fetch row", category=5) at dcgettext.c:53
#5  0xb4eddd1b in dcpgettext_expr (domain=0xa78f1c8 "kipiplugin_gpssync", msgctxt=<optimized out>, msgid=0xaba27be9 "Unable to fetch row", category=5) at ../../kdecore/localization/gettext.h:208
#6  0xb4edf596 in KCatalog::translateStrict (this=0xa78f148, msgctxt=0xaba27b2c "QSQLiteResult", msgid=0xaba27be9 "Unable to fetch row") at ../../kdecore/localization/kcatalog.cpp:263
#7  0xb4ef7b1f in KLocalePrivate::translateRawFrom (this=0x8f57d38, catname=0x0, msgctxt=0xaba27b2c "QSQLiteResult", msgid=0xaba27be9 "Unable to fetch row", msgid_plural=0x0, n=0, language=0x92a9b734, translation=0x92a9b730) at ../../kdecore/localization/klocale_kde.cpp:957
#8  0xb4ef3ecb in KLocalePrivate::translateQt (this=0x8f57d38, context=0xaba27b2c "QSQLiteResult", sourceText=0xaba27be9 "Unable to fetch row", comment=0x0) at ../../kdecore/localization/klocale_kde.cpp:1022
#9  0xb4eecb63 in KLocale::translateQt (this=0x8f01a60, context=0xaba27b2c "QSQLiteResult", sourceText=0xaba27be9 "Unable to fetch row", comment=0x0) at ../../kdecore/localization/klocale.cpp:199
#10 0xb4e5e963 in KDETranslator::translate (this=0x8f691c0, context=0xaba27b2c "QSQLiteResult", sourceText=0xaba27be9 "Unable to fetch row", message=0x0) at ../../kdecore/kernel/kglobal_p.h:52
#11 0xb4beda94 in QTranslator::translate (this=0x8f691c0, context=0xaba27b2c "QSQLiteResult", sourceText=0xaba27be9 "Unable to fetch row", disambiguation=0x0, n=-1) at kernel/qtranslator.cpp:1004
#12 0xb4bcc6a7 in QCoreApplication::translate (context=0xaba27b2c "QSQLiteResult", sourceText=0xaba27be9 "Unable to fetch row", disambiguation=0x0, encoding=QCoreApplication::CodecForTr, n=-1) at kernel/qcoreapplication.cpp:1895
#13 0xb4bccb3a in QCoreApplication::translate (context=0xaba27b2c "QSQLiteResult", sourceText=0xaba27be9 "Unable to fetch row", disambiguation=0x0, encoding=QCoreApplication::CodecForTr) at kernel/qcoreapplication.cpp:1810
#14 0xaba25e08 in QSQLiteResultPrivate::fetchNext (this=0x98fee6c0, values=..., idx=0, initialFetch=104) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:276
#15 0xaba26e02 in QSQLiteResult::exec (this=0xa1ccf298) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:417
#16 0xb770cc8b in QSqlQuery::exec (this=0x92a9bba8) at kernel/qsqlquery.cpp:949
#17 0xb69ed4cc in Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) () from /usr/lib/libdigikamcore.so.2
#18 0xb69ed711 in Digikam::DatabaseCoreBackend::execQuery(Digikam::SqlQuery&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib/libdigikamcore.so.2
#19 0xb69ed795 in Digikam::DatabaseCoreBackend::execQuery(QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib/libdigikamcore.so.2
#20 0xb69ef75e in Digikam::DatabaseCoreBackend::execSql(QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QList<QVariant>*, QVariant*) () from /usr/lib/libdigikamcore.so.2
#21 0xb69fbe51 in Digikam::ThumbnailDB::insertThumbnail(Digikam::DatabaseThumbnailInfo const&, QVariant*) () from /usr/lib/libdigikamcore.so.2
#22 0xb6a34f85 in Digikam::ThumbnailCreator::storeInDatabase(Digikam::ThumbnailInfo const&, Digikam::ThumbnailImage const&) const () from /usr/lib/libdigikamcore.so.2
#23 0xb6a3ae11 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () from /usr/lib/libdigikamcore.so.2
#24 0xb6a3b922 in Digikam::ThumbnailCreator::load(QString const&) const () from /usr/lib/libdigikamcore.so.2
#25 0xb6a4ac01 in ?? () from /usr/lib/libdigikamcore.so.2
#26 0xb6a18b38 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.2
#27 0xb6a620de in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#28 0xb4aaa34b in QThreadPoolThread::run (this=0x98ffbd68) at concurrent/qthreadpool.cpp:107
#29 0xb4ab7d90 in QThreadPrivate::start (arg=0x98ffbd68) at thread/qthread_unix.cpp:298
#30 0xb35bfc87 in start_thread (arg=0x92a9cb70) at pthread_create.c:304
#31 0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0x9096bb70 (LWP 3062)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0x9096bb70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0x9016ab70 (LWP 3063)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0x9016ab70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0x8f969b70 (LWP 3064)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0x8f969b70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0x8f168b70 (LWP 3069)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0x8f168b70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0x8e967b70 (LWP 3070)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0x8e967b70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0x8e166b70 (LWP 3071)):
#0  0xb375eba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb375ec3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb375d4d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb35bfc87 in start_thread (arg=0x8e166b70) at pthread_create.c:304
#4  0xb47f868e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xaeedb8c0 (LWP 2981)):
[KCrash Handler]
#7  0xb4bf29db in clear (d=0xbedeb90) at kernel/qvariant.cpp:286
#8  0xb5171ab9 in clear (d=0xbedeb90) at kernel/qguivariant.cpp:280
#9  0xb4bef76a in ~QVariant (this=0xbedeb90, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1400
#10 QVariant::~QVariant (this=0xbedeb90, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1397
#11 0xb6689676 in Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) () from /usr/lib/libdigikamdatabase.so.2
#12 0xb668b41f in Digikam::ImageModel::finishIncrementalRefresh() () from /usr/lib/libdigikamdatabase.so.2
#13 0x08196217 in ?? ()
#14 0x0819783a in ?? ()
#15 0xb4bd32cd in metacall (argv=0xbffce3f8, idx=55, cl=QMetaObject::InvokeMetaMethod, object=0x8eba180) at kernel/qmetaobject.cpp:245
#16 QMetaObject::metacall (object=0x8eba180, cl=QMetaObject::InvokeMetaMethod, idx=55, argv=0xbffce3f8) at kernel/qmetaobject.cpp:240
#17 0xb4be2fed in QMetaObject::activate (sender=0xb980d20, m=0xb4ff14ac, local_signal_index=3, argv=0xbffce3f8) at kernel/qobject.cpp:3566
#18 0xb4e40e65 in KJob::result (this=0xb980d20, _t1=0xb980d20) at ./kjob.moc:208
#19 0xb4e40eb8 in KJob::emitResult (this=0xb980d20) at ../../kdecore/jobs/kjob.cpp:318
#20 0xb600e268 in KIO::SimpleJob::slotFinished (this=0xb980d20) at ../../kio/kio/job.cpp:494
#21 0xb601729d in KIO::TransferJob::slotFinished (this=0xb980d20) at ../../kio/kio/job.cpp:1081
#22 0xb6015858 in qt_static_metacall (_a=0xbffce670, _id=7, _o=0xb980d20, _c=<optimized out>) at ./jobclasses.moc:388
#23 KIO::TransferJob::qt_static_metacall (_o=0xb980d20, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbffce670) at ./jobclasses.moc:375
#24 0xb4be2ce1 in QMetaObject::activate (sender=0xa43e8e8, m=0xb61f0480, local_signal_index=4, argv=0x0) at kernel/qobject.cpp:3547
#25 0xb60cc495 in KIO::SlaveInterface::finished (this=0xa43e8e8) at ./slaveinterface.moc:185
#26 0xb60cf5b1 in KIO::SlaveInterface::dispatch (this=0xa43e8e8, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:172
#27 0xb60cbb0a in KIO::SlaveInterface::dispatch (this=0xa43e8e8) at ../../kio/kio/slaveinterface.cpp:88
#28 0xb60bd1a8 in KIO::Slave::gotInput (this=0xa43e8e8) at ../../kio/kio/slave.cpp:344
#29 0xb60bd810 in KIO::Slave::qt_static_metacall (_o=0xa43e8e8, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbffce930) at ./slave.moc:57
#30 0xb4be2ce1 in QMetaObject::activate (sender=0xa43e1a0, m=0xb61ed110, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3547
#31 0xb5fd8e05 in KIO::Connection::readyRead (this=0xa43e1a0) at ./connection.moc:106
#32 0xb5fd967a in dequeue (this=<optimized out>) at ../../kio/kio/connection.cpp:82
#33 KIO::ConnectionPrivate::dequeue (this=0x9e88d78) at ../../kio/kio/connection.cpp:71
#34 0xb4bde231 in QMetaCallEvent::placeMetaCall (this=0xc015ea8, object=0xa43e1a0) at kernel/qobject.cpp:525
#35 0xb4be72ab in QObject::event (this=0xa43e1a0, e=0xc015ea8) at kernel/qobject.cpp:1195
#36 0xb5133c94 in notify_helper (e=0xc015ea8, receiver=0xa43e1a0, this=0x8e40b48) at kernel/qapplication.cpp:4555
#37 QApplicationPrivate::notify_helper (this=0x8e40b48, receiver=0xa43e1a0, e=0xc015ea8) at kernel/qapplication.cpp:4527
#38 0xb51390cd in QApplication::notify (this=0xc015ea8, receiver=0xa43e1a0, e=0xc015ea8) at kernel/qapplication.cpp:4284
#39 0xb5cb57b1 in KApplication::notify (this=0xbffcf230, receiver=0xa43e1a0, event=0xc015ea8) at ../../kdeui/kernel/kapplication.cpp:311
#40 0xb4bcbfae in QCoreApplication::notifyInternal (this=0xbffcf230, receiver=0xa43e1a0, event=0xc015ea8) at kernel/qcoreapplication.cpp:876
#41 0xb4bd0108 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#42 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8df9f00) at kernel/qcoreapplication.cpp:1500
#43 0xb4bd043c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1393
#44 0xb4bfeac4 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#45 postEventSourceDispatch (s=0x8e405f8) at kernel/qeventdispatcher_glib.cpp:279
#46 0xb32176ea in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#47 0xb3217af5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#48 0xb3217bd1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#49 0xb4bfeeb7 in QEventDispatcherGlib::processEvents (this=0x8dfaa80, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#50 0xb51ebdca in QGuiEventDispatcherGlib::processEvents (this=0x8dfaa80, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#51 0xb4bcab3d in QEventLoop::processEvents (this=0xbffcf114, flags=...) at kernel/qeventloop.cpp:149
#52 0xb4bcadd9 in QEventLoop::exec (this=0xbffcf114, flags=...) at kernel/qeventloop.cpp:204
#53 0xb4bd04ea in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#54 0xb5131834 in QApplication::exec () at kernel/qapplication.cpp:3816
#55 0x080b6984 in ?? ()
#56 0xb473d113 in __libc_start_main (main=0x80b57e0, argc=5, ubp_av=0xbffcf4c4, init=0x83ff140 <__libc_csu_init>, fini=0x83ff1b0 <__libc_csu_fini>, rtld_fini=0xb7768b90 <_dl_fini>, stack_end=0xbffcf4bc) at libc-start.c:226
#57 0x080b82f1 in _start ()

Possible duplicates by query: bug 278049.

Reported using DrKonqi
Comment 1 caulier.gilles 2012-01-27 21:59:51 UTC

*** This bug has been marked as a duplicate of bug 278049 ***
Comment 2 caulier.gilles 2017-07-16 21:46:56 UTC
This problem is not reproducible since 5.0.0 as all digiKam KIO slave was
replaced by a multithreaded interface to play with database